View Issue Details

IDProjectCategoryView StatusLast Update
0021450LazarusLCLpublic2019-04-22 19:30
ReporterMartin FriebeAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0021450: WM_IME_* (e.g WM_IME_NOTIFY) are not delivered to components
Descriptionon W32 if the app receives a WM_IME_NOTIFY msg, this is not delivered to the component.

To reproduce:



add a dummy (debugln('test');)
    procedure WMImeNotify(var Msg: TMessage); message WM_IME_NOTIFY;
to SynEdit

start IDE, set your keyboard to Japanese (Hiragana) and start typing (for me starting with an "a" on the keyboard brings up the IME editor)

Putting debugln into Windproc shows that windows does send IME msgs

TagsNo tags attached.
Fixed in Revision
LazTarget0.99.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0013140 resolvedMartin Friebe Cannot input Japanese character correctly in IDE( SynEdit ) 

Activities

Martin Friebe

2012-03-11 01:40

manager   ~0057481

added the required msg

Issue History

Date Modified Username Field Change
2012-03-09 20:55 Martin Friebe New Issue
2012-03-09 20:55 Martin Friebe LazTarget => -
2012-03-09 20:55 Martin Friebe Widgetset => Win32/Win64
2012-03-09 21:44 Martin Friebe Relationship added related to 0013140
2012-03-11 01:40 Martin Friebe LazTarget - => 0.99.0
2012-03-11 01:40 Martin Friebe Status new => resolved
2012-03-11 01:40 Martin Friebe Fixed in Version => 0.9.31 (SVN)
2012-03-11 01:40 Martin Friebe Resolution open => fixed
2012-03-11 01:40 Martin Friebe Assigned To => Martin Friebe
2012-03-11 01:40 Martin Friebe Note Added: 0057481
2019-04-22 19:30 Martin Friebe Status resolved => closed